Skip to main content
PATCH
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Path Parameters

id
string
required

The ID of the Webhook to update

Example:

"hook_xxxxxxxxxxxxx"

Body

application/json

Parameters for UpdateWebhook

api_version
enum<string> | null

The API version for this webhook

Available options:
v1,
v2,
v5
api_version_date
string | null

The dated API version (Api-Version-Date) to pin this webhook's payloads to: events serialize exactly like a REST read at this version (the native serializer where the resource has one). Only applies to v1 webhooks. Pass null to unpin, returning to the legacy payload shape.

child_resource_events
boolean | null

Whether or not to send events for child resources.

enabled
boolean | null

Whether or not the webhook is enabled.

events
enum<string>[] | null

The events to send the webhook for.

The different event types available

Available options:
invoice.created,
invoice.marked_uncollectible,
invoice.paid,
invoice.past_due,
invoice.voided,
membership.activated,
membership.deactivated,
membership.trial_ending_soon,
entry.created,
entry.approved,
entry.denied,
entry.deleted,
export.completed,
export.failed,
setup_intent.requires_action,
setup_intent.succeeded,
setup_intent.canceled,
ledger_account.funds_available,
swap.completed,
deposit.succeeded,
transfer.created,
transfer.completed,
withdrawal.created,
withdrawal.updated,
card_transaction.created,
card_transaction.updated,
card_transaction.completed,
card_transaction.declined,
card_transaction.reversed,
card.created,
card.updated,
card.frozen,
card.canceled,
card_application.created,
card_application.updated,
card_application.approved,
card_application.denied,
course_lesson_interaction.completed,
payout_method.created,
verification.succeeded,
identity_profile.approved,
identity_profile.rejected,
identity_profile.needs_action,
identity_profile.updated,
payout_account.status_updated,
resolution_center_case.created,
resolution_center_case.updated,
resolution_center_case.decided,
product.created,
product.updated,
product.deleted,
product.published,
product.unpublished,
plan.created,
plan.updated,
plan.deleted,
shipment.created,
shipment.updated,
member.created,
ad_campaign.payment_failed,
chat.message.created,
chat.reaction.created,
payment.created,
payment.succeeded,
payment.failed,
payment.pending,
dispute.created,
dispute.updated,
refund.created,
refund.updated,
dispute_alert.created,
membership.cancel_at_period_end_changed
url
string | null

The URL to send the webhook to.

Example:

"https://example.com/path"

Response

A successful response

A webhook endpoint that receives event notifications for a company via HTTP POST.

api_version
enum<string>
required

The API version used to format payloads sent to this webhook endpoint.

Available options:
v1,
v2,
v5
api_version_date
string | null
required

The dated API version (Api-Version-Date) that v1 payloads for this endpoint are pinned to: events serialize exactly like a REST read at this version (the native serializer where the resource has one). Null when unpinned — legacy (v2/v5) webhooks, and v1 webhooks on the legacy payload shape.

child_resource_events
boolean
required

Whether events are sent for child resources. For example, if the webhook is on a company, enabling this sends events only from the company's sub-merchants (child companies).

created_at
string<date-time>
required

The datetime the webhook was created.

Example:

"2023-12-01T05:00:00.401Z"

enabled
boolean
required

Whether this webhook endpoint is currently active and receiving events.

events
enum<string>[]
required

The list of event types this webhook is subscribed to.

The different event types available

Available options:
invoice.created,
invoice.marked_uncollectible,
invoice.paid,
invoice.past_due,
invoice.voided,
membership.activated,
membership.deactivated,
membership.trial_ending_soon,
entry.created,
entry.approved,
entry.denied,
entry.deleted,
export.completed,
export.failed,
setup_intent.requires_action,
setup_intent.succeeded,
setup_intent.canceled,
ledger_account.funds_available,
swap.completed,
deposit.succeeded,
transfer.created,
transfer.completed,
withdrawal.created,
withdrawal.updated,
card_transaction.created,
card_transaction.updated,
card_transaction.completed,
card_transaction.declined,
card_transaction.reversed,
card.created,
card.updated,
card.frozen,
card.canceled,
card_application.created,
card_application.updated,
card_application.approved,
card_application.denied,
course_lesson_interaction.completed,
payout_method.created,
verification.succeeded,
identity_profile.approved,
identity_profile.rejected,
identity_profile.needs_action,
identity_profile.updated,
payout_account.status_updated,
resolution_center_case.created,
resolution_center_case.updated,
resolution_center_case.decided,
product.created,
product.updated,
product.deleted,
product.published,
product.unpublished,
plan.created,
plan.updated,
plan.deleted,
shipment.created,
shipment.updated,
member.created,
ad_campaign.payment_failed,
chat.message.created,
chat.reaction.created,
payment.created,
payment.succeeded,
payment.failed,
payment.pending,
dispute.created,
dispute.updated,
refund.created,
refund.updated,
dispute_alert.created,
membership.cancel_at_period_end_changed
id
string
required

The unique identifier for the webhook.

Example:

"hook_xxxxxxxxxxxxx"

resource_id
string
required

The ID of the resource (company or product) this webhook is attached to.

testable_events
enum<string>[]
required

The subset of subscribed event types that support sending test payloads.

The different event types available

Available options:
invoice.created,
invoice.marked_uncollectible,
invoice.paid,
invoice.past_due,
invoice.voided,
membership.activated,
membership.deactivated,
membership.trial_ending_soon,
entry.created,
entry.approved,
entry.denied,
entry.deleted,
export.completed,
export.failed,
setup_intent.requires_action,
setup_intent.succeeded,
setup_intent.canceled,
ledger_account.funds_available,
swap.completed,
deposit.succeeded,
transfer.created,
transfer.completed,
withdrawal.created,
withdrawal.updated,
card_transaction.created,
card_transaction.updated,
card_transaction.completed,
card_transaction.declined,
card_transaction.reversed,
card.created,
card.updated,
card.frozen,
card.canceled,
card_application.created,
card_application.updated,
card_application.approved,
card_application.denied,
course_lesson_interaction.completed,
payout_method.created,
verification.succeeded,
identity_profile.approved,
identity_profile.rejected,
identity_profile.needs_action,
identity_profile.updated,
payout_account.status_updated,
resolution_center_case.created,
resolution_center_case.updated,
resolution_center_case.decided,
product.created,
product.updated,
product.deleted,
product.published,
product.unpublished,
plan.created,
plan.updated,
plan.deleted,
shipment.created,
shipment.updated,
member.created,
ad_campaign.payment_failed,
chat.message.created,
chat.reaction.created,
payment.created,
payment.succeeded,
payment.failed,
payment.pending,
dispute.created,
dispute.updated,
refund.created,
refund.updated,
dispute_alert.created,
membership.cancel_at_period_end_changed
url
string
required

The destination URL where webhook payloads are delivered via HTTP POST.

Example:

"https://example.com/path"

webhook_secret
string
required

The secret key used to sign webhook payloads for verification. Include this in your HMAC validation logic. Returned on the create response and to interactive dashboard sessions; empty for API-key and OAuth callers on later reads.

Example:

"whsec_abc123def456"